Page MenuHomePhabricator

Label, Description textarea focus styling
Closed, ResolvedPublic

Description

T218690 shows a blue border for focused Aliases edit components.
the same should apply - retroactively - to label, description!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2019, 2:24 PM
Pablo-WMDE updated the task description. (Show Details)Apr 8 2019, 2:30 PM
Pablo-WMDE edited subscribers, added: Jakob_WMDE, Tarrow, Matthias_Geisler_WMDE; removed: Aklapper.
Tarrow claimed this task.Apr 9 2019, 4:49 PM
Tarrow moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-13 board.

So, my suggested approach to this is:

  • have a mixin that:
    • creates a data field focusIn
    • has 2 methods that change that field true/false
  • mix this mixin into LabelEdit and DescriptionEdit
  • wire up @focusIn and @focusOut to the mixin methods
  • optionally add wb-ui-focus-in-input class to TermTextField based on focusIn field value
  • add new focussedTermInput scss mixin with blue border
  • add scss mixin to wb-ui-focus-in-input

Change 502831 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[wikibase/termbox@master] Use css pseudoselector to highlite focused term inputs

https://gerrit.wikimedia.org/r/502831

I took the "blue" from the mocks (#36c) and I assumed it was supposed to reflect accent50.
@Hanna_Petruschat_WMDE is that right?

Yes. That's right, @Tarrow. I try to move over to these "accent50" color codes step by step.

Change 502831 merged by jenkins-bot:
[wikibase/termbox@master] Use css pseudoselector to highlite focused term inputs

https://gerrit.wikimedia.org/r/502831

Change 502948 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Repair border-color

https://gerrit.wikimedia.org/r/502948

Change 502948 merged by jenkins-bot:
[wikibase/termbox@master] Repair border-color

https://gerrit.wikimedia.org/r/502948

Change 502956 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[wikibase/termbox@master] Set style outline:0 termInputs

https://gerrit.wikimedia.org/r/502956

Change 502956 merged by jenkins-bot:
[wikibase/termbox@master] Set style outline:0 termInputs

https://gerrit.wikimedia.org/r/502956

Jakob_WMDE closed this task as Resolved.Apr 23 2019, 12:20 PM